##Engine Waste Heat Recovery Systems

VECTO is able to consider energy recovered from the combustion engine's waste heat either as mechanical power or as electrical power. The following options for waste-heat recovery system are availabel:

  * Mechanical WHR system included in the FC measurements
  * Mechanical WHR system not connected to the crankshaft
  * Electrical WHR system

The first type of WHR systems do not require a dedicated simulation as this is already covered in the combustion engine's fuel consumption map. The output power at the crankshaft is usually higher when such a WHR system is active, or for a certain measurement setpoint (torque and engine speed) the fuel consumption is lower compared to an engine without waste-heat recovery system.

For the other two types of WHR systems where the recovered energy is not directly connected to the engine's crankshaft the generated power needs to be provided in the combustion engine's fuel consumption map (see [.vmap file](#fuel-consumption-map-.vmap). The final fuel consumption is corrected for the latter two WHR systems via the [engine-line approach](#engine-fuel-consumption-correction), taking into account  the accumulated power generated by the WHR system during the cycle. In case of an electrical WHR system the electric energy is converted to the equivalent mechanical energy that the combustion engine "does not need to provide" considering the alternator's efficiency.

The power generated by a WHR system is interpolated from the engine's WHR map (part of the fuel consumption map) multiplied by a correction factor similar to the WHTC correction for the fuel consumption.
